/*  Program to insert a space before every line of a file. */
#include <stdio.h>

main(argc,argv)
int argc;
char **argv;
{
char c;
int i,num;

/* check the parameters */
if (argc == 1)
  num = 1;
else if (argc == 2)
  num = atoi(argv[1]);
else
  {
  printf("Usage: %s [number of spaces to shift]\n",argv[0]);
  printf("  (the default is 1.)\n");
  exit(0);
  }

/* the program starts here. */
for (i=0; i<num; i++)
  putchar(' ');
while ((c = getchar()) != EOF )
  {
  if (c == '\n')
    {
    putchar('\n');
    for (i=0; i<num; i++)
      putchar(' ');
    }
  else putchar(c);
  }
}
